diff --recursive --unified=5 src/main-ros.c src-riscos/main-ros.c
--- src/main-ros.c	Sun May 12 17:18:12 2002
+++ src-riscos/main-ros.c	Thu May 30 16:52:56 2002
@@ -4595,80 +4884,94 @@
  | NB: A static pointer is used and the descriptor returned is only
  | valid until the next call to this function.
  |
  | Basically, a replacement for OS_Byte 135 / OS_ScreenMode1, IYSWIM.
  */
-static int current_mode( void )
+static int current_mode(void)
 {
 	static void *descriptor = NULL;
-	int  mode;
-	int  size;
-	int  i;
-	int  *vals;
+	int mode;
+	int size;
+	int i;
+	int *vals;
 
-	if ( descriptor )
+	if (descriptor)
 	{
-		free( descriptor );
+		free(descriptor);
 		descriptor = NULL;
 	}
 
-	SWI( 1,3, SWI_OS_Byte, 135, NULL, NULL, &mode );
-	if ( mode < 256 ) { return mode; }
+	SWI(1, 3, SWI_OS_Byte, 135, NULL, NULL, &mode);
+	if (mode < 256)
+	{
+		return mode;
+	}
 
-	vals = (int*) (mode+20);
-	for ( i=0; vals[i] != -1; i+=2 )
+	vals = (int *)(mode + 20);
+	for (i = 0; vals[i] != -1; i += 2)
 		;
 
-	size = 24+8*i;			/* Size of data */
-	descriptor = malloc( size );
-	if ( !descriptor ) { core("Out of memory!"); }
-	memcpy( descriptor, (void*) mode, size );
+	size = 24 + 8 * i;			/* Size of data */
+	descriptor = malloc(size);
+	if (!descriptor)
+	{
+		core("Out of memory!");
+	}
+	memcpy(descriptor, (void *)mode, size);
 
-	return (int) descriptor;
+	return (int)descriptor;
 }
 
 
 
 /*
  | Select the best mode we can for full screen.
  | Returns 12 for (low-res, ie. mode 12) or 27 for high-res,
  | or a pointer to a mode descriptor (as an int).
  */
-static int select_fullscreen_mode( void )
+static int select_fullscreen_mode(void)
 {
-	static struct { int flags, x, y, l2bpp, hz, term; } desc;
+	static struct
+	{
+		int flags, x, y, l2bpp, hz, term;
+	}
+	desc;
 	int mode = 0;
 
-	desc.flags = 1;					/* format 0 */
-	desc.x = 640; desc.y = 480;		/* 640x480 */
-	desc.l2bpp = 2;					/* 16 colours */
-	desc.hz = -1;					/* best we can get */
-	desc.term = -1;					/* don't fuss about modevars */
+	desc.flags = 1;				/* format 0 */
+	desc.x = 640;
+	desc.y = 480;				/* 640x480 */
+	desc.l2bpp = 2;				/* 16 colours */
+	desc.hz = -1;				/* best we can get */
+	desc.term = -1;	/* don't fuss about modevars */
 
-	SWI( 1,1, SWI_OS_CheckModeValid, &desc, &mode );
-	if ( mode != (int) &desc )
+	SWI(1, 1, SWI_OS_CheckModeValid, &desc, &mode);
+	if (mode != (int)&desc)
 	{
-		SWI( 1,1, SWI_OS_CheckModeValid, 27, /**/ &mode );
-		if ( mode != 27 )
+		SWI(1, 1, SWI_OS_CheckModeValid, 27, /**/ &mode);
+		if (mode != 27)
 		{
-			SWI( 1,1, SWI_OS_CheckModeValid, 12, /**/ &mode );
-			if ( mode !=12 ) { mode = 0; }
+			SWI(1, 1, SWI_OS_CheckModeValid, 12, /**/ &mode);
+			if (mode != 12)
+			{
+				mode = 0;
+			}
 		}
 	}
 
 	return mode;
 }
 
 
 /*
  | Change screen mode
  */
-static void change_screenmode( int to )
+static void change_screenmode(int to)
 {
-	if ( SWI( 2,0, SWI_OS_ScreenMode, 0, to ) )
+	if (SWI(2, 0, SWI_OS_ScreenMode, 0, to))
 	{
-		if ( to<256 )
+		if (to < 256)
 		{
 			GFX_VDU(22);
 			GFX_VDU(to);
 		}
 		else
@@ -4682,232 +4985,279 @@
 
 /*
  | Constrain the mouse pointer to a point - this means that the damn
  | hourglass won't move around with the mouse :)
  */
-static void constrain_pointer( void )
+static void constrain_pointer(void)
 {
 	wimp_rect r;
 	int ys = screen_eig.y == 1 ? 32 : 64;	/* Cope with dbl height glass */
 
-	Screen_CacheModeInfo();			/* Make sure we know the screen size */
+	Screen_CacheModeInfo();		/* Make sure we know the screen size */
 	r.min.x = r.max.x = screen_size.x - 32;
 	r.min.y = r.max.y = screen_size.y - ys;
-	Pointer_RestrictToRect( r );
+	Pointer_RestrictToRect(r);
 }
 
 
 
 
 /*
  | Convert a 1bpp bitmap into a 4bpp bitmap (bit flipped)
  */
-static int byte_to_word_flipped( int b )
+static int byte_to_word_flipped(int b)
 {
 	int w;
-	if ( b & 128 ) { w = 0xf0000000; } else { w=0; }
-	if ( b & 64 ) { w |= 0x0f000000; }
-	if ( b & 32) { w |= 0x00f00000; }
-	if ( b & 16 ) { w |= 0x000f0000; }
-	if ( b & 8 ) { w |= 0x0000f000; }
-	if ( b & 4 ) { w |= 0x00000f00; }
-	if ( b & 2 ) { w |= 0x000000f0; }
-	if ( b & 1 ) { w |= 0x0000000f; }
+	if (b & 128)
+	{
+		w = 0xf0000000;
+	}
+	else
+	{
+		w = 0;
+	}
+	if (b & 64)
+	{
+		w |= 0x0f000000;
+	}
+	if (b & 32)
+	{
+		w |= 0x00f00000;
+	}
+	if (b & 16)
+	{
+		w |= 0x000f0000;
+	}
+	if (b & 8)
+	{
+		w |= 0x0000f000;
+	}
+	if (b & 4)
+	{
+		w |= 0x00000f00;
+	}
+	if (b & 2)
+	{
+		w |= 0x000000f0;
+	}
+	if (b & 1)
+	{
+		w |= 0x0000000f;
+	}
 	return w;
 }
 
 
 
 
 /*
  | try to load the fallback fullscreen font and convert it to 4bpp
  */
-static int cache_zapfontHR( void )
+static int cache_zapfontHR(void)
 {
-	int handle,extent;
+	int handle, extent;
 	char buffer[260];
-	struct { char id[8]; int w,h,f,l,r1,r2; } zfh;
+	struct
+	{
+		char id[8];
+		int w, h, f, l, r1, r2;
+	}
+	zfh;
 	int *op;
 	char *ip;
-	int l,i;
+	int l, i;
 
 	/* Try to open the file */
-	sprintf(buffer,"%s%s",resource_path,"xtra.FullScreen");
-	handle = myFile_Open( buffer, 0x4f );
-	if ( !handle ) { return 0; }
+	sprintf(buffer, "%s%s", resource_path, "xtra.FullScreen");
+	handle = myFile_Open(buffer, 0x4f);
+	if (!handle)
+	{
+		return 0;
+	}
 
 	/* Check file's extent */
-	extent = myFile_Extent( handle );
-	if ( extent > sizeof(zfh)+256*16 )
+	extent = myFile_Extent(handle);
+	if (extent > sizeof(zfh) + 256 * 16)
 	{
 		myFile_Close(handle);
 		return 0;
 	}
 
 	/* Load the header */
-	if ( myFile_ReadBytes( handle, &zfh, sizeof(zfh) ) )
+	if (myFile_ReadBytes(handle, &zfh, sizeof(zfh)))
 	{
 		myFile_Close(handle);
 		return 0;
 	}
 
 	/* Check font size */
-	if ( (zfh.w!=8) || (zfh.h>16) )
+	if ((zfh.w != 8) || (zfh.h > 16))
 	{
 		myFile_Close(handle);
 		return 0;
 	}
 
 	/* Load the 1bpp data */
-	if ( myFile_ReadBytes( handle, fullscreen_font, extent-sizeof(zfh) ) )
+	if (myFile_ReadBytes(handle, fullscreen_font, extent - sizeof(zfh)))
 	{
 		myFile_Close(handle);
 		return 0;
 	}
 
 	myFile_Close(handle);
 
-	l = zfh.l>255 ? 255 : zfh.l;
+	l = zfh.l > 255 ? 255 : zfh.l;
 
-	if ( zfh.h>8 )
+	if (zfh.h > 8)
 	{
-		op = (int*) (((int)fullscreen_font)+(l+1)*zfh.h*4);
-		ip = (char*) (((int)fullscreen_font)+(l+1)*zfh.h-(zfh.f*zfh.h));
-		while ( l-->=zfh.f )
+		op = (int *)(((int)fullscreen_font) + (l + 1) * zfh.h * 4);
+		ip = (char *)(((int)fullscreen_font) + (l + 1) * zfh.h -
+					  (zfh.f * zfh.h));
+		while (l-- >= zfh.f)
 		{
-			for ( i=0; i<zfh.h; i++ )
+			for (i = 0; i < zfh.h; i++)
 			{
-				*--op = byte_to_word_flipped( *--ip );
+				*--op = byte_to_word_flipped(*--ip);
 			}
 		}
 		fullscreen_height = zfh.h;
 	}
 	else
 	{
-		op = (int*) (((int)fullscreen_font)+(l+1)*zfh.h*8);
-		ip = (char*) (((int)fullscreen_font)+(l+1)*zfh.h-(zfh.f*zfh.h));
-		while ( l-->=zfh.f )
+		op = (int *)(((int)fullscreen_font) + (l + 1) * zfh.h * 8);
+		ip = (char *)(((int)fullscreen_font) + (l + 1) * zfh.h -
+					  (zfh.f * zfh.h));
+		while (l-- >= zfh.f)
 		{
-			for ( i=-zfh.h; i<zfh.h; i++ )
+			for (i = -zfh.h; i < zfh.h; i++)
 			{
-				int t = byte_to_word_flipped( *--ip );
+				int t = byte_to_word_flipped(*--ip);
 				*--op = t;
 				*--op = t;
 			}
 		}
-		fullscreen_height = zfh.h*2;
+		fullscreen_height = zfh.h * 2;
 	}
 
 	fullscreen_topline = TERM_TOPLINE_HR;
-	fullscreen_topline += ((16-fullscreen_height)*13);
+	fullscreen_topline += ((16 - fullscreen_height) * 13);
 
 	return 1;
 }
 
 
 
 
 
-static int cache_fs_fontHR( void )
+static int cache_fs_fontHR(void)
 {
-	ZapFont	*src = SYSTEM_FONT;
+	ZapFont *src = SYSTEM_FONT;
 	int c;
 	int *op;
 	char *ip;
 
 	/* Allocate the storage for the font */
-	fullscreen_font = f_malloc( 256*4*16 );
-	if ( !fullscreen_font ) { return 0; }
-	op = (int*)fullscreen_font;
+	fullscreen_font = f_malloc(256 * 4 * 16);
+	if (!fullscreen_font)
+	{
+		return 0;
+	}
+	op = (int *)fullscreen_font;
 
 	/* Check to see if the main term's font is suitable (ie. 8x16 or 8x8) */
-	if ( (data[0].font->w==8) && (data[0].font->h<=16) )
+	if ((data[0].font->w == 8) && (data[0].font->h <= 16))
 		src = data[0].font;
 
 	/*
-	 | Hack: if we're forced to use the system font, try to load the
-	 | 'fullscreen' font from lib.xtra.  If that fails, then I guess we're
-	 | stuck with the system font.
+	   | Hack: if we're forced to use the system font, try to load the
+	   | 'fullscreen' font from lib.xtra.  If that fails, then I guess we're
+	   | stuck with the system font.
 	 */
 
-	if ( src == SYSTEM_FONT )
-		if ( cache_zapfontHR() ) { return 1; }
+	if (src == SYSTEM_FONT)
+		if (cache_zapfontHR())
+		{
+			return 1;
+		}
 
-	ip = (char*) (src->bpp_1);
+	ip = (char *)(src->bpp_1);
 
 	/* Now, create the font */
-	if ( src->h>8 )
+	if (src->h > 8)
 	{
-		int e = src->h * (src->l>256 ? 256 : src->l);
-		op += (src->f*src->h);
-		for ( c=src->f*src->h; c<e; c++ )
+		int e = src->h * (src->l > 256 ? 256 : src->l);
+		op += (src->f * src->h);
+		for (c = src->f * src->h; c < e; c++)
 			*op++ = byte_to_word_flipped(*ip++);
 		fullscreen_height = src->h;
 	}
 	else
 	{
-		int e = src->h * (src->l>256 ? 256 : src->l);
-		op += (src->f*src->h)*2;
-		for ( c=src->f*src->h; c<e; c++ )
+		int e = src->h * (src->l > 256 ? 256 : src->l);
+		op += (src->f * src->h) * 2;
+		for (c = src->f * src->h; c < e; c++)
 		{
 			int t = byte_to_word_flipped(*ip++);
 			*op++ = t;
 			*op++ = t;
 		}
-		fullscreen_height = src->h*2;
+		fullscreen_height = src->h * 2;
 	}
 
 	fullscreen_topline = TERM_TOPLINE_HR;
-	fullscreen_topline += ((16-fullscreen_height)*13);
+	fullscreen_topline += ((16 - fullscreen_height) * 13);
 
 	return 1;
 }
 
 
 
 
 
-static int cache_fs_fontLR( void )
+static int cache_fs_fontLR(void)
 {
-	ZapFont	*src = SYSTEM_FONT;
-	int c,e;
+	ZapFont *src = SYSTEM_FONT;
+	int c, e;
 	int *op;
 	char *ip;
 
 	/* Allocate the storage for the font */
-	fullscreen_font = f_malloc( 256*4*8 );
-	if ( !fullscreen_font ) { return 0; }
-	op = (int*)fullscreen_font;
+	fullscreen_font = f_malloc(256 * 4 * 8);
+	if (!fullscreen_font)
+	{
+		return 0;
+	}
+	op = (int *)fullscreen_font;
 
 	/* Check to see if the main term's font is suitable (ie. 8x8) */
-	if ( (data[0].font->w==8) && (data[0].font->h<=8) )
+	if ((data[0].font->w == 8) && (data[0].font->h <= 8))
 		src = data[0].font;
 
-	ip = (char*) (src->bpp_1);
+	ip = (char *)(src->bpp_1);
 
 	/* Now, create the font */
-	e = src->h * (src->l>256 ? 256 : src->l);
-	op += (src->f*src->h);
-	for ( c=src->f*src->h; c<e; c++ )
+	e = src->h * (src->l > 256 ? 256 : src->l);
+	op += (src->f * src->h);
+	for (c = src->f * src->h; c < e; c++)
 		*op++ = byte_to_word_flipped(*ip++);
 
 	fullscreen_height = src->h;
 	fullscreen_topline = TERM_TOPLINE_LR;
-	fullscreen_topline += ((8-fullscreen_height)*13);
+	fullscreen_topline += ((8 - fullscreen_height) * 13);
 
 	return 1;
 }
 
 
 
-static void set_keys( int claim )
+static void set_keys(int claim)
 {
 	static int old_c_state;
 	static int old_f_state[8];
 	int i;
 
-	if ( claim )
+	if (claim)
 	{
 		/* Cursors/copy act as function keys */
 		/* f0-f9, cursors, generate 0x80-0x8f */
 		/* sh-f0-f9,cursors, generate 0x90-0x9f */
 		/* ctrl f0-f9,cursors, generate 0xa0-0xaf */
@@ -4915,25 +5265,27 @@
 		/* f10-f12 generate 0xca-0xcc */
 		/* shift f10-f12 generate 0xda-0xdc */
 		/* ctrl f10-f12 generate 0xea-0xec */
 		/* ctrlshift f10-f12 generate 0xfa-0xfc */
 
-		SWI( 3,2, SWI_OS_Byte, 4, 2, 0, /**/ NULL, &old_c_state );
+		SWI(3, 2, SWI_OS_Byte, 4, 2, 0, /**/ NULL, &old_c_state);
 
-		for ( i=0; i<4; i++ )
+		for (i = 0; i < 4; i++)
 		{
-			SWI(3,2,SWI_OS_Byte,225+i,0x80+(i*0x10),0, NULL, old_f_state+i );
-			SWI(3,2,SWI_OS_Byte,221+i,0xc0+(i*0x10),0, NULL, old_f_state+i+4 );
+			SWI(3, 2, SWI_OS_Byte, 225 + i, 0x80 + (i * 0x10), 0, NULL,
+				old_f_state + i);
+			SWI(3, 2, SWI_OS_Byte, 221 + i, 0xc0 + (i * 0x10), 0, NULL,
+				old_f_state + i + 4);
 		}
 	}
 	else
 	{
-		SWI( 3,0, SWI_OS_Byte, 4, old_c_state, 0 );
-		for ( i=0; i<4; i++ )
+		SWI(3, 0, SWI_OS_Byte, 4, old_c_state, 0);
+		for (i = 0; i < 4; i++)
 		{
-			SWI(3,0, SWI_OS_Byte, 225+i, old_f_state[i], 0 );
-			SWI(3,0, SWI_OS_Byte, 221+i, old_f_state[i+4], 0 );
+			SWI(3, 0, SWI_OS_Byte, 225 + i, old_f_state[i], 0);
+			SWI(3, 0, SWI_OS_Byte, 221 + i, old_f_state[i + 4], 0);
 		}
 	}
 }
 
 
@@ -4948,38 +5300,39 @@
  | (or system font 'twiddled' to double height), or mode 12 (if mode 27
  | is unavailable) and the system font (or an 8x8 font).
  |
  */
 
-static void enter_fullscreen_mode( void )
+static void enter_fullscreen_mode(void)
 {
-	int vduvars[2] = { 149, -1 };
+	int vduvars[2] =
+	{ 149, -1 };
 	int i;
 	mouse_block mb;
 
 	/* New in 1.18 - protect against 're-entracy' */
-	if ( fullscreen_font )
+	if (fullscreen_font)
 		return;
 
 	/* New in 1.20 - hack IClear out of the way */
-	if ( allow_iclear_hack )
+	if (allow_iclear_hack)
 		iclear_hack();
 
 	/* Remember where the mouse is */
-	Wimp_GetPointerInfo( &mb );
+	Wimp_GetPointerInfo(&mb);
 	old_mouse_posn = mb.pos;
 
 	/* Choose the mode we want */
 	fullscreen_mode = select_fullscreen_mode();
 
-	if ( !fullscreen_mode )
+	if (!fullscreen_mode)
 	{
 		plog("Unable to select a suitable screen mode (27 or 12)");
 		return;
 	}
 
-	if ( ! ( (fullscreen_mode==12) ? cache_fs_fontLR() : cache_fs_fontHR() ) )
+	if (!((fullscreen_mode == 12) ? cache_fs_fontLR() : cache_fs_fontHR()))
 	{
 		plog("Unable to cache a font for full screen mode");
 		return;
 	}
 
@@ -4988,280 +5341,314 @@
 	old_screenmode = current_mode();
 
 	Stop_Hourglass;
 
 	/* Change to the chosen screen mode */
-	change_screenmode( fullscreen_mode );
+	change_screenmode(fullscreen_mode);
 
 	/* Restrict the pointer */
 	constrain_pointer();
 
 	/* Remove the cursors */
-	SWI( 0,0, SWI_OS_RemoveCursors );
+	SWI(0, 0, SWI_OS_RemoveCursors);
 
 	Start_Hourglass;
 
 	/* Get the base address of screen memory */
-	SWI( 2,0, SWI_OS_ReadVduVariables, vduvars, vduvars );
-	fullscreen_base = (int*) (vduvars[0]);
+	SWI(2, 0, SWI_OS_ReadVduVariables, vduvars, vduvars);
+	fullscreen_base = (int *)(vduvars[0]);
 
 	/* Fudge the Term interface */
-	for ( i=0; i<MAX_TERM_DATA; i++ )
+	for (i = 0; i < MAX_TERM_DATA; i++)
 	{
 		term *t = &(data[i].t);
-		t->xtra_hook  = Term_xtra_acnFS;
-		t->wipe_hook  = Term_wipe_acnFS;
-		t->curs_hook  = Term_curs_acnFS;
-		t->text_hook  = Term_text_acnFS;
+		t->xtra_hook = Term_xtra_acnFS;
+		t->wipe_hook = Term_wipe_acnFS;
+		t->curs_hook = Term_curs_acnFS;
+		t->text_hook = Term_text_acnFS;
 	}
 
 	/* Grab the palette */
-	Term_xtra_acn_reactFS( TRUE );
+	Term_xtra_acn_reactFS(TRUE);
 
 	/* Make sure that the keys work properly */
-	set_keys( TRUE );
+	set_keys(TRUE);
 
 	/* refresh the term */
-	/*Term_activate( &(data[0].t) );*/
-	redraw_areaFS( 0,0, 80,24 );
-	if ( data[0].cursor.visible )
-		draw_cursor(data[0].cursor.pos.x,data[0].cursor.pos.y);
+	/*Term_activate( &(data[0].t) ); */
+	redraw_areaFS(0, 0, 80, 24);
+	if (data[0].cursor.visible)
+		draw_cursor(data[0].cursor.pos.x, data[0].cursor.pos.y);
 
 	/* Display a reminder of how to get back... */
 	/* Hack: disable force_mono */
-	i = force_mono; force_mono = 0;
-	Term_text_acnFS( 0,TIME_LINE, strlen(fs_quit_key_text), 8, fs_quit_key_text );
+	i = force_mono;
+	force_mono = 0;
+	Term_text_acnFS(0, TIME_LINE, strlen(fs_quit_key_text), 8,
+					fs_quit_key_text);
 	force_mono = i;
 }
 
 
 
 
-static void leave_fullscreen_mode( void )
+static void leave_fullscreen_mode(void)
 {
 	int i;
 	unsigned char blk[8];
 
 	/* New in 1.18 - protect against 're-entracy' */
-	if ( !fullscreen_font )
+	if (!fullscreen_font)
 		return;
 
 	/* Restore the Term interface */
-	for ( i=0; i<MAX_TERM_DATA; i++ )
+	for (i = 0; i < MAX_TERM_DATA; i++)
 	{
 		term *t = &(data[i].t);
-		t->xtra_hook  = Term_xtra_acn;
-		t->wipe_hook  = Term_wipe_acn;
-		t->curs_hook  = Term_curs_acn;
-		t->text_hook  = Term_text_acn;
-		mark_ood( &(data[i]), 0,0, 80,24 );
+		t->xtra_hook = Term_xtra_acn;
+		t->wipe_hook = Term_wipe_acn;
+		t->curs_hook = Term_curs_acn;
+		t->text_hook = Term_text_acn;
+		mark_ood(&(data[i]), 0, 0, 80, 24);
 	}
 
 	/* Deallocate the font */
 	f_free(fullscreen_font);
 	fullscreen_font = 0;
 	fullscreen_mode = 0;
 
 	Stop_Hourglass;
 
 	/* Restore the screen mode */
-	Wimp_SetMode( old_screenmode );
+	Wimp_SetMode(old_screenmode);
 
 	/* Restore the pointer position */
-	blk[0] = 3;				/* Set mouse position sub-reason code */
+	blk[0] = 3;					/* Set mouse position sub-reason code */
 	blk[1] = (old_mouse_posn.x & 0xff);
-	blk[2] = (old_mouse_posn.x & 0xff00)>>8;
+	blk[2] = (old_mouse_posn.x & 0xff00) >> 8;
 	blk[3] = (old_mouse_posn.y & 0xff);
-	blk[4] = (old_mouse_posn.y & 0xff00)>>8;
-	OS_Word( osword_DEFINEPOINTERANDMOUSE, blk );
+	blk[4] = (old_mouse_posn.y & 0xff00) >> 8;
+	OS_Word(osword_DEFINEPOINTERANDMOUSE, blk);
 
 	Start_Hourglass;
 
-	/*Start_Hourglass;*/
+	/*Start_Hourglass; */
 
 	/* Restore the various soft keys */
-	set_keys( FALSE );
+	set_keys(FALSE);
 
 	/* New in 1.20 Remove the IClear hack */
-	if ( allow_iclear_hack )
+	if (allow_iclear_hack)
 		remove_iclear_hack();
 
 	/* Refresh the windows - this probably isn't necessary anyway */
 	refresh_windows();
 }
 
 
 
 
 
-static void fs_writechars( int x, int y, int n, char *chars, char attr )
+static void fs_writechars(int x, int y, int n, char *chars, char attr)
 {
-	int *scr,*scrb;
+	int *scr, *scrb;
 	int *cdat;
 	int j;
 	unsigned int fgm;
 
-	if ( force_mono ) { if (attr!=TERM_DARK) { attr = TERM_WHITE; } }
-	fgm = (unsigned int) zpalette[attr];
+	if (force_mono)
+	{
+		if (attr != TERM_DARK)
+		{
+			attr = TERM_WHITE;
+		}
+	}
+	fgm = (unsigned int)zpalette[attr];
 
-	scrb = (int*) ( ((int)fullscreen_base)+y*fullscreen_height*320
-												+ x*4+320*fullscreen_topline );
+	scrb = (int *)(((int)fullscreen_base) + y * fullscreen_height * 320
+				   + x * 4 + 320 * fullscreen_topline);
 
 	while (n--)
 	{
 		scr = scrb++;
-		cdat = (int*) ( ((int)fullscreen_font)
-										  + (*chars++)*(fullscreen_height<<2) );
-		for ( j=0; j<fullscreen_height; j++ )
+		cdat = (int *)(((int)fullscreen_font)
+					   + (*chars++) * (fullscreen_height << 2));
+		for (j = 0; j < fullscreen_height; j++)
 		{
 			*scr = *cdat++ & fgm;
-			scr+=80;
+			scr += 80;
 		}
 	}
 }
 
 
-static void fs_writechar( int x, int y, char c, char attr )
+static void fs_writechar(int x, int y, char c, char attr)
 {
 	int *scrb;
 	int *cdat;
 	int j;
 	unsigned int fgm;
 
-	if ( force_mono ) { if (attr!=TERM_DARK) { attr = TERM_WHITE; } }
-	fgm = (unsigned int) zpalette[attr];
+	if (force_mono)
+	{
+		if (attr != TERM_DARK)
+		{
+			attr = TERM_WHITE;
+		}
+	}
+	fgm = (unsigned int)zpalette[attr];
 
-	scrb = (int*) ( ((int)fullscreen_base)+y*fullscreen_height*320
-												+ x*4+320*fullscreen_topline );
-	cdat = (int*) ( ((int)fullscreen_font) + (c*(fullscreen_height<<2)) );
-	for ( j=0; j<fullscreen_height; j++ )
+	scrb = (int *)(((int)fullscreen_base) + y * fullscreen_height * 320
+				   + x * 4 + 320 * fullscreen_topline);
+	cdat = (int *)(((int)fullscreen_font) + (c * (fullscreen_height << 2)));
+	for (j = 0; j < fullscreen_height; j++)
 	{
 		*scrb = *cdat++ & fgm;
-		scrb+=80;
+		scrb += 80;
 	}
 }
 
 
 
-static void draw_cursorHR( int x, int y )
+static void draw_cursorHR(int x, int y)
 {
-	ColourTrans_SetGCOL( cursor_rgb, 0, 0 );
-	GFX_Move( x*16, 959-y*(fullscreen_height*2) - fullscreen_topline*2 );
-	GFX_DrawBy( 14, 0 );
-	GFX_DrawBy( 0, -(fullscreen_height*2-2) );
-	GFX_DrawBy( -14, 0 );
-	GFX_DrawBy( 0, fullscreen_height*2-2 );
+	ColourTrans_SetGCOL(cursor_rgb, 0, 0);
+	GFX_Move(x * 16,
+			 959 - y * (fullscreen_height * 2) - fullscreen_topline * 2);
+	GFX_DrawBy(14, 0);
+	GFX_DrawBy(0, -(fullscreen_height * 2 - 2));
+	GFX_DrawBy(-14, 0);
+	GFX_DrawBy(0, fullscreen_height * 2 - 2);
 }
 
-static void draw_cursorLR( int x, int y )
+static void draw_cursorLR(int x, int y)
 {
-	ColourTrans_SetGCOL( cursor_rgb, 0, 0 );
-	GFX_Move( x*16, 1023-y*(fullscreen_height*4) - fullscreen_topline*4 );
-	GFX_DrawBy( 14, 0 );
-	GFX_DrawBy( 0, -(fullscreen_height*4-4) );
-	GFX_DrawBy( -14, 0 );
-	GFX_DrawBy( 0, fullscreen_height*4-4 );
+	ColourTrans_SetGCOL(cursor_rgb, 0, 0);
+	GFX_Move(x * 16,
+			 1023 - y * (fullscreen_height * 4) - fullscreen_topline * 4);
+	GFX_DrawBy(14, 0);
+	GFX_DrawBy(0, -(fullscreen_height * 4 - 4));
+	GFX_DrawBy(-14, 0);
+	GFX_DrawBy(0, fullscreen_height * 4 - 4);
 }
 
 
 
 
 
-static void draw_cursor( int x, int y )
+static void draw_cursor(int x, int y)
 {
-	if ( fullscreen_mode==12 )
-		draw_cursorLR( x, y );
+	if (fullscreen_mode == 12)
+		draw_cursorLR(x, y);
 	else
-		draw_cursorHR( x, y );
+		draw_cursorHR(x, y);
 }
 
 
 
-static void redraw_areaFS( int x, int y, int w, int h )
+static void redraw_areaFS(int x, int y, int w, int h)
 {
-	int i,j;
-	for ( j=y; j<y+h; j++ )
-		for ( i=x; i<x+w; i++ )
-			fs_writechar( i,j,data[0].t.old->c[j][i],data[0].t.old->a[j][i] );
+	int i, j;
+	for (j = y; j < y + h; j++)
+		for (i = x; i < x + w; i++)
+			fs_writechar(i, j, data[0].t.old->c[j][i], data[0].t.old->a[j][i]);
 }
 
 
 
-static int wimp_code( int c )
+static int wimp_code(int c)
 {
 	/* shift/ctrl keypad? */
-	if ( c>='0' && c<='9' )
+	if (c >= '0' && c <= '9')
 	{
-		kbd_modifiers m = Kbd_GetModifiers( FALSE );
-		if ( m.shift ) { c |= 0x800; }
-		if ( m.ctrl ) { c |= 0x400; }
+		kbd_modifiers m = Kbd_GetModifiers(FALSE);
+		if (m.shift)
+		{
+			c |= 0x800;
+		}
+		if (m.ctrl)
+		{
+			c |= 0x400;
+		}
 		return c;
 	}
-	if ( c==9 ) { return 0x18a; }					/* Tab */
-	if ( c<=127 ) { return c; }						/* normal ASCII/ctrl */
-	if ( c>=0x80 && c<=0xff ) { return c+0x100; }	/* f0-f9, etc. */
+	if (c == 9)
+	{
+		return 0x18a;
+	}							/* Tab */
+	if (c <= 127)
+	{
+		return c;
+	}							/* normal ASCII/ctrl */
+	if (c >= 0x80 && c <= 0xff)
+	{
+		return c + 0x100;
+	}							/* f0-f9, etc. */
 
-	return -1;										/* unknown */
+	return -1;					/* unknown */
 }
 
 
 
 
 static void do_keypress(int code)
 {
 	const static char hex[] = "0123456789ABCDEF";
 
-	if ( code==KEYPRESS_QUIT )
+	if (code == KEYPRESS_QUIT)
 	{
-		/*Sound_SysBeep();*/
+		/*Sound_SysBeep(); */
 		leave_fullscreen_mode();
 		return;
 	}
 
-	if ( code==27 )
+	if (code == 27)
 	{
-		if ( Kbd_KeyDown( inkey_CTRL ) )
+		if (Kbd_KeyDown(inkey_CTRL))
 		{
 			ack_alarm();
 			return;
 		}
 	}
 
-	if ( code<=255 )
+	if (code <= 255)
 	{
 		Term_keypress(code);
 	}
 	else
 	{
 		Term_keypress(31);
-		Term_keypress(hex[(code & 0xf00)>>8]);
-		Term_keypress(hex[(code & 0x0f0)>>4]);
+		Term_keypress(hex[(code & 0xf00) >> 8]);
+		Term_keypress(hex[(code & 0x0f0) >> 4]);
 		Term_keypress(hex[(code & 0x00f)]);
 		Term_keypress(13);
 	}
 }
 
 
 
 
 static errr Term_xtra_acn_checkFS(void)
 {
-	int bh,bl;
+	int bh, bl;
 	int c;
 
 	Stop_Hourglass;
 
 	bored();
 
-	SWI( 3,3, SWI_OS_Byte, 128, 255, 0, /**/ NULL, &bl, &bh );
-	bl = (bl & 0xff) + (bh<<8);
+	SWI(3, 3, SWI_OS_Byte, 128, 255, 0, /**/ NULL, &bl, &bh);
+	bl = (bl & 0xff) + (bh << 8);
 
-	if ( bl>0 )
+	if (bl > 0)
 	{
-		SWI( 0,1, SWI_OS_ReadC, &c );
+		SWI(0, 1, SWI_OS_ReadC, &c);
 		bl = wimp_code(c);
-		if ( bl>=0 ) { do_keypress( bl ); }
+		if (bl >= 0)
+		{
+			do_keypress(bl);
+		}
 	}
 
 	Start_Hourglass;
 
 	return 0;
@@ -5275,23 +5662,27 @@
 	int c;
 	int w = -1;
 
 	Stop_Hourglass;
 
-	for ( w=-1 ; w==-1 ; )
+	for (w = -1; w == -1;)
 	{
-		int bh,bl;
+		int bh, bl;
 		do
 		{
 			bored();
-			SWI( 3,3, SWI_OS_Byte, 128, 255, 0, /**/ NULL, &bl, &bh );
-			bl = (bl & 0xff) + (bh<<8);
-		} while ( !bl );
+			SWI(3, 3, SWI_OS_Byte, 128, 255, 0, /**/ NULL, &bl, &bh);
+			bl = (bl & 0xff) + (bh << 8);
+		}
+		while (!bl);
 
-		SWI( 0,1, SWI_OS_ReadC, &c );
+		SWI(0, 1, SWI_OS_ReadC, &c);
 		w = wimp_code(c);
-		if ( w>=0 ) { do_keypress( w ); }
+		if (w >= 0)
+		{
+			do_keypress(w);
+		}
 	}
 
 	Start_Hourglass;
 
 	return 0;
@@ -5303,64 +5694,74 @@
  * React to changes
  */
 static errr Term_xtra_acn_reactFS(int force)
 {
 	int i;
-	int p,r,g,b;
+	int p, r, g, b;
 
 	static double old_gamma = -1.0;
 
-	if ( gamma != old_gamma )
+	if (gamma != old_gamma)
 	{
 		force = 1;
 		old_gamma = gamma;
 	}
 
 	/* Set the screen colours */
-	for ( i=0; i<16; i++ )
+	for (i = 0; i < 16; i++)
 	{
-		if ( COLOUR_CHANGED(i) || force )
+		if (COLOUR_CHANGED(i) || force)
 		{
-			r = (int) (255.0*pow(angband_color_table[i][1]/255.0, 1.0/gamma));
-			g = (int) (255.0*pow(angband_color_table[i][2]/255.0, 1.0/gamma));
-			b = (int) (255.0*pow(angband_color_table[i][3]/255.0, 1.0/gamma));
-			GFX_VDU( 19 ); GFX_VDU( i ); GFX_VDU( 16 );
-			GFX_VDU( r ); GFX_VDU( g ); GFX_VDU( b );
+			r = (int)(255.0 *
+					  pow(angband_color_table[i][1] / 255.0, 1.0 / gamma));
+			g = (int)(255.0 *
+					  pow(angband_color_table[i][2] / 255.0, 1.0 / gamma));
+			b = (int)(255.0 *
+					  pow(angband_color_table[i][3] / 255.0, 1.0 / gamma));
+			GFX_VDU(19);
+			GFX_VDU(i);
+			GFX_VDU(16);
+			GFX_VDU(r);
+			GFX_VDU(g);
+			GFX_VDU(b);
 
-			palette[i] = (b<<24) | (g<<16) | (r<<8);
+			palette[i] = (b << 24) | (g << 16) | (r << 8);
 			p = i;
-			p |= (p<<4);
-			p |= (p<<8);
-			p |= (p<<16);
+			p |= (p << 4);
+			p |= (p << 8);
+			p |= (p << 16);
 			zpalette[i] = p;
 
 			a_palette[i][1] = angband_color_table[i][1];
 			a_palette[i][2] = angband_color_table[i][2];
 			a_palette[i][3] = angband_color_table[i][3];
 
 			/* Find any higher colour numbers and make them "wrong" */
-			for ( p=16; p<256; p++ )
-				if ( (zpalette[p] & 0xf) == i )
-					a_palette[p][1]=angband_color_table[p][1]+2;
+			for (p = 16; p < 256; p++)
+				if ((zpalette[p] & 0xf) == i)
+					a_palette[p][1] = angband_color_table[p][1] + 2;
 		}
 	}
 
 
 	/* Go through the palette updating any changed values */
-	for ( i=16; i<256; i++ )
+	for (i = 16; i < 256; i++)
 	{
-		if ( COLOUR_CHANGED(i) || force )
+		if (COLOUR_CHANGED(i) || force)
 		{
-			r = (int) (255.0*pow(angband_color_table[i][1]/255.0, 1.0/gamma));
-			g = (int) (255.0*pow(angband_color_table[i][2]/255.0, 1.0/gamma));
-			b = (int) (255.0*pow(angband_color_table[i][3]/255.0, 1.0/gamma));
-			p = (b<<24) | (g<<16) | (r<<8);
+			r = (int)(255.0 *
+					  pow(angband_color_table[i][1] / 255.0, 1.0 / gamma));
+			g = (int)(255.0 *
+					  pow(angband_color_table[i][2] / 255.0, 1.0 / gamma));
+			b = (int)(255.0 *
+					  pow(angband_color_table[i][3] / 255.0, 1.0 / gamma));
+			p = (b << 24) | (g << 16) | (r << 8);
 			palette[i] = p;
-			SWI( 1,1, SWI_ColourTrans_ReturnColourNumber, palette[i], &p );
-			p |= (p<<4);
-			p |= (p<<8);
-			p |= (p<<16);
+			SWI(1, 1, SWI_ColourTrans_ReturnColourNumber, palette[i], &p);
+			p |= (p << 4);
+			p |= (p << 8);
+			p |= (p << 16);
 			zpalette[i] = p;
 			a_palette[i][1] = angband_color_table[i][1];
 			a_palette[i][2] = angband_color_table[i][2];
 			a_palette[i][3] = angband_color_table[i][3];
 		}
@@ -5372,36 +5773,36 @@
 }
 
 
 static errr Term_curs_acnFS(int x, int y)
 {
-	if ( Term == &(data[0].t) )
+	if (Term == &(data[0].t))
 	{
-		if ( data[0].cursor.visible )
-			redraw_areaFS(data[0].cursor.pos.x,data[0].cursor.pos.y,1,1);
+		if (data[0].cursor.visible)
+			redraw_areaFS(data[0].cursor.pos.x, data[0].cursor.pos.y, 1, 1);
 		data[0].cursor.pos.x = x;
 		data[0].cursor.pos.y = y;
-		if ( data[0].cursor.visible )
-			draw_cursor(x,y);
+		if (data[0].cursor.visible)
+			draw_cursor(x, y);
 	}
 	return 0;
 }
 
-static errr Term_xtra_acn_clearFS( void )
+static errr Term_xtra_acn_clearFS(void)
 {
 	char e[80];
 	int j;
 
-	if ( Term == &(data[0].t) )
+	if (Term == &(data[0].t))
 	{
-		for ( j=0; j<80; j++ )
+		for (j = 0; j < 80; j++)
 			e[j] = ' ';
 
 		GFX_Wait();
 
-		for ( j=0; j<24; j++ )
-			fs_writechars( 0,j, 80, e, 0 );
+		for (j = 0; j < 24; j++)
+			fs_writechars(0, j, 80, e, 0);
 	}
 
 	return 0;
 }
 
@@ -5411,16 +5812,16 @@
 
 
 
 static errr Term_xtra_acnFS(int n, int v)
 {
-	term_data *t = (term_data*) Term;
+	term_data *t = (term_data *)Term;
 
 	switch (n)
 	{
 		case TERM_XTRA_CLEAR:
-			if ( t==(&data[0]) )
+			if (t == (&data[0]))
 				Term_xtra_acn_clearFS();
 			return 0;
 
 		case TERM_XTRA_EVENT:
 			if (v)
@@ -5432,30 +5833,30 @@
 			bored();
 			return Term_xtra_acn_checkFS();
 
 		case TERM_XTRA_FLUSH:
 			/* 1.21 - Hack: wait until no keys are pressed */
-			if ( hack_flush )
-				for ( v=0 ; v!=0xff ; )
-					SWI( 1,2, SWI_OS_Byte, 122, 0, &v );
-			SWI( 3,0, SWI_OS_Byte, 21,0,0 );	/* Flush Kbd buffer */
+			if (hack_flush)
+				for (v = 0; v != 0xff;)
+					SWI(1, 2, SWI_OS_Byte, 122, 0, &v);
+			SWI(3, 0, SWI_OS_Byte, 21, 0, 0);	/* Flush Kbd buffer */
 			return 0;
 
 		case TERM_XTRA_FRESH:
 			return 0;
 
 		case TERM_XTRA_FROSH:
 			return 0;
 
 		case TERM_XTRA_SHAPE:
-			if ( t==(&data[0]) )
+			if (t == (&data[0]))
 			{
 				t->cursor.visible = v;
-				if ( v )
-					draw_cursor( t->cursor.pos.x, t->cursor.pos.y );
+				if (v)
+					draw_cursor(t->cursor.pos.x, t->cursor.pos.y);
 				else
-					redraw_areaFS( t->cursor.pos.x, t->cursor.pos.y, 1, 1 );
+					redraw_areaFS(t->cursor.pos.x, t->cursor.pos.y, 1, 1);
 			}
 			return 0;
 
 		case TERM_XTRA_NOISE:
 			Sound_SysBeep();
@@ -5463,41 +5864,44 @@
 
 		case TERM_XTRA_REACT:
 			return Term_xtra_acn_reactFS(FALSE);
 
 		case TERM_XTRA_DELAY:
-			if ( v>0 )
+			if (v > 0)
 			{
 				int start = Time_Monotonic();
-				v=(v+5)/10;			/* Round to nearest cs */
+				v = (v + 5) / 10;	/* Round to nearest cs */
 				GFX_Wait();
-				while ( (Time_Monotonic()-start)< v )
+				while ((Time_Monotonic() - start) < v)
 					;
 			}
 			return (0);
 
-		case TERM_XTRA_SOUND :		/* Play a sound :) */
-			if ( enable_sound ) { play_sound( v ); }
+		case TERM_XTRA_SOUND:	/* Play a sound :) */
+			if (enable_sound)
+			{
+				play_sound(v);
+			}
 			return 0;
 
 		default:
 			return 1;
 	}
 }
 
 static errr Term_wipe_acnFS(int x, int y, int n)
 {
-	if ( Term == &(data[0].t) )
-		while ( n-- )
-			fs_writechar(x++,y,' ',0);
+	if (Term == &(data[0].t))
+		while (n--)
+			fs_writechar(x++, y, ' ', 0);
 	return 0;
 }
 
 static errr Term_text_acnFS(int x, int y, int n, byte a, cptr s)
 {
-	if ( Term == &(data[0].t) )
-		fs_writechars(x,y,n,(char*)s,(char)a);
+	if (Term == &(data[0].t))
+		fs_writechars(x, y, n, (char *)s, (char)a);
 	return 0;
 }
 
 
 
@@ -5509,44 +5913,57 @@
 	struct tm *lt;
 	int l;
 	int ofm;
 	static int alarm_flash = 1;
 
-	check_alarm( FALSE );
+	check_alarm(FALSE);
 
 	l = Time_Monotonic();
-	if ( (l-last) < (alarm_flash ? 25 : 50) ) { return; }
+	if ((l - last) < (alarm_flash ? 25 : 50))
+	{
+		return;
+	}
 	last = l;
 
-	time( &ct );
-	lt = localtime( &ct );
-	l = strftime( ts, 80, "%c %Z", lt );
+	time(&ct);
+	lt = localtime(&ct);
+	l = strftime(ts, 80, "%c %Z", lt);
 
 	/* Hack: disable force_mono around printing the time */
-	ofm = force_mono; force_mono = 0;
+	ofm = force_mono;
+	force_mono = 0;
 
 	/* Hack: Is the alarm supposed to be going off? */
-	if ( alarm_disp || alarm_flash )
+	if (alarm_disp || alarm_flash)
 	{
 		char blk[60];
 		int c = 8;
-		if ( !alarm_disp ) { alarm_flash = 11; }
-		switch ( alarm_flash/2 )
+		if (!alarm_disp)
 		{
-			case 4 : sprintf(blk,"%-57s",alarm_cancel_text); break;
-			case 5 : sprintf(blk,"%-57s",fs_quit_key_text); break;
-			default :
+			alarm_flash = 11;
+		}
+		switch (alarm_flash / 2)
+		{
+			case 4: sprintf(blk, "%-57s", alarm_cancel_text);
+				break;
+			case 5: sprintf(blk, "%-57s", fs_quit_key_text);
+				break;
+			default:
 				c = alarm_flash & 1 ? TERM_RED : TERM_WHITE;
-				sprintf(blk,"%02d:%02d %-51s",alarm_h, alarm_m, alarm_message);
+				sprintf(blk, "%02d:%02d %-51s", alarm_h, alarm_m,
+						alarm_message);
+		}
+		fs_writechars(0, TIME_LINE, 57, blk, c);
+		if (++alarm_flash > 11)
+		{
+			alarm_flash = 0;
 		}
-		fs_writechars( 0,TIME_LINE, 57, blk, c );
-			if ( ++alarm_flash>11 ) { alarm_flash = 0; }
 	}
 
 	/* Display time */
-	fs_writechar(79-l,TIME_LINE,' ',0);
-	fs_writechars(80-l,TIME_LINE,l,ts,8);
+	fs_writechar(79 - l, TIME_LINE, ' ', 0);
+	fs_writechars(80 - l, TIME_LINE, l, ts, 8);
 
 	force_mono = ofm;
 }
 
 
